import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LogLevelAliasType, c as LoggerInterface, d as LogLevel } from './uuid-1fdc718d.js';
export { dv as ArgumentsType, co as AsyncMutex, cJ as AsyncReturnType, Z as BinInput, e as CRYPTO_DEFAULT_ALG, f as CRYPTO_DEFAULT_DERIVE_ALG, g as CRYPTO_DEFAULT_DERIVE_ITERATIONS, C as CRYPTO_DEFAULT_HASH_ALG, d3 as Channel, d2 as ChannelMessageEvent, dh as CryptoEncoder, aw as DAY_MS, aT as Day, ay as DayInput, aS as DayInputLegacy, ax as DayValue, aZ as DecimalInput, aY as DecimalValue, d9 as DefaultListener, ce as Disposable, cd as Disposer, cc as DisposerFunction, da as Emitter, d7 as EmitterAllHandler, d6 as EmitterHandler, de as Encoder, J as Json, dg as JsonEncoder, d8 as ListenerSignature, d4 as LocalChannel, a as LogHandler, L as LogHandlerOptions, d as LogLevel, cT as LogLevelAlias, cU as LogLevelAliasKey, b as LogLevelAliasType, cV as LogMessage, cS as Logger, cY as LoggerConsoleHandler, cX as LoggerContext, cW as LoggerContextInterface, c as LoggerInterface, d1 as LoggerMemoryHandler, dR as MemStorage, dQ as MemStorageOptions, dk as Message, di as MessageAction, dp as MessageDefinitions, dq as MessageHub, dj as MessageResult, dm as MessagesDefaultMethods, dn as MessagesMethods, dl as MessagesOptions, cn as Mutex, dV as NestedArray, df as NoopEncoder, O as ObjectStorage, cx as Pool, ct as PoolTask, cv as PoolTaskEvents, cr as PoolTaskFn, cu as PoolTaskIdConflictResolution, cs as PoolTaskState, b7 as Primitive, dt as PubSub, dy as RPCFn, dx as RPCOptions, dz as RPCReturn, as as RenderMessagesOptions, dw as ReturnType, bG as RoundingMode, cM as SerialQueue, bR as SortableItem, cL as TaskEvents, cK as TaskFn, ac as Uint8ArrayToHexDump, ab as Uint8ArrayToJson, a1 as Uint8ArrayToString, cj as UseDefer, cg as UseDispose, cb as XRX, $ as _decodeUtf8Polyfill, _ as _encodeUtf8Polyfill, K as arrayAvg, M as arrayBatches, x as arrayEmptyInPlace, v as arrayFilterInPlace, p as arrayFlatten, q as arrayIntersection, A as arrayIsEqual, G as arrayMax, H as arrayMin, n as arrayMinus, F as arrayRandomElement, t as arrayRemoveElement, u as arraySetElement, D as arrayShuffle, E as arrayShuffleForce, B as arrayShuffleInPlace, y as arraySorted, z as arraySortedNumbers, I as arraySum, s as arraySymmetricDifference, w as arrayToggleInPlace, o as arrayUnion, m as arrayUnique, bt as avg, br as between, c5 as cloneJsonObject, c4 as cloneObject, bC as cmp, bB as composeOrderby, N as createArray, d5 as createLocalChannelPair, cy as createPromise, dr as createPromiseProxy, l as csv, aX as dateStringToDays, aW as day, aB as dayDay, aR as dayDiff, aF as dayFromAny, aH as dayFromDate, aI as dayFromDateGMT, aM as dayFromParts, aN as dayFromString, aK as dayFromTimestamp, aE as dayFromToday, aA as dayMonth, aO as dayMonthStart, aQ as dayOffset, aD as dayToDate, aG as dayToDateGMT, aC as dayToParts, aL as dayToString, aJ as dayToTimestamp, az as dayYear, aP as dayYearStart, cO as debounce, a_ as decimal, b1 as decimalCentsPart, a$ as decimalFromCents, b0 as decimalToCents, T as decodeBase16, Q as decodeBase32, V as decodeBase58, X as decodeBase62, k as decrypt, b2 as deepEqual, b4 as deepMerge, b3 as deepStripUndefinedInPlace, i as deriveKeyPbkdf2, dM as detect, h as digest, c3 as empty, S as encodeBase16, P as encodeBase32, U as encodeBase58, W as encodeBase62, bZ as encodeQuery, j as encrypt, bT as endSortWeight, b$ as ensureKey, c0 as ensureKeyAsync, a9 as equalBinary, b5 as escapeHTML, bF as escapeRegExp, Y as estimateSizeForBase, dD as fetchBasic, dE as fetchJson, dI as fetchOptionsBasicAuth, dG as fetchOptionsFormURLEncoded, dH as fetchOptionsJson, dF as fetchText, av as fixBrokenUth8String, aU as forEachDay, c8 as forTimes, at as formatMessages, dT as formatMilliseconds, a8 as fromBase64, ag as fromCamelCase, a5 as fromHex, dL as getGlobal, cP as getGlobalContext, db as getGlobalEmitter, cR as getGlobalLogger, cZ as getNamespaceFilterString, dK as getNavigator, bm as getSecureRandom, bn as getSecureRandomIfPossible, dS as getTimestamp, dJ as getWindow, dB as httpMethod, cA as immediate, ba as isArray, bg as isBoolean, dN as isBrowser, bI as isEven, bH as isHalf, be as isInteger, cQ as isLocalHost, bh as isNullOrUndefined, bd as isNumber, b8 as isObject, bv as isPrime, bu as isPrimeRX, b9 as isPrimitive, cH as isPromise, bb as isRecord, bf as isSafeInteger, bc as isString, cE as isTimeout, bi as isUint8Array, a3 as joinToUint8Array, bl as jsonStringify, bk as jsonStringifySafe, bj as jsonStringifySorted, aa as jsonToUint8Array, c2 as last, dd as lazyListener, bX as linkifyPlainText, c6 as memoize, c7 as memoizeAsync, dc as messages, bU as moveSortWeight, bz as objectIsEmpty, bx as objectMap, by as objectMergeDisposable, dC as parseBasicAuth, dU as parseDate, c$ as parseLogLevel, bA as parseOrderby, b_ as parseQuery, dO as platform, cI as promisify, ef as qid, bo as randomBoolean, bq as randomFloat, bp as randomInt, r as randomUint8Array, ca as regExpEscape, c9 as regExpString, au as renderMessages, bK as roundDown, bN as roundHalfAwayFromZero, bO as roundHalfDown, bP as roundHalfEven, bM as roundHalfOdd, bQ as roundHalfTowardsZero, bL as roundHalfUp, bJ as roundUp, bw as seededRandom, e9 as setUuidDefaultEncoding, c1 as size, cz as sleep, bV as sortedItems, bD as sortedOrderby, bS as startSortWeight, ah as stringToBoolean, aj as stringToFloat, ai as stringToInteger, a0 as stringToUInt8Array, e5 as suid, e4 as suidBytes, e7 as suidBytesDate, e6 as suidDate, bs as sum, cN as throttle, cC as timeout, cB as timeoutReached, cD as timoutError, a6 as toBase64, a7 as toBase64Url, ar as toBool, ad as toCamelCase, ae as toCapitalize, af as toCapitalizeWords, ao as toFloat, a4 as toHex, bY as toHumanReadableUrl, ap as toInt, aq as toString, a2 as toUint8Array, bE as toValidFilename, aV as today, cF as tryTimeout, ee as uname, b6 as unescapeHTML, cq as useAsyncMutex, R as useBase, ci as useDefer, cf as useDispose, ch as useDisposer, cm as useEventListener, dP as useExitHandler, cl as useInterval, d0 as useLevelFilter, ds as useMessageHub, cp as useMutex, c_ as useNamespaceFilter, cw as usePool, du as usePubSub, dA as useRPC, bW as useSorted, ck as useTimeout, ea as uuid, e8 as uuid32bit, d_ as uuidB32, dX as uuidB62, dW as uuidBytes, eb as uuidDecode, e0 as uuidDecodeB32, dZ as uuidDecodeB62, e3 as uuidDecodeV4, ec as uuidEncode, d$ as uuidEncodeB32, dY as uuidEncodeB62, e2 as uuidEncodeV4, ed as uuidIsValid, e1 as uuidv4, ak as valueToBoolean, am as valueToFloat, al as valueToInteger, an as valueToString, cG as waitOn } from './uuid-1fdc718d.js';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;
declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string, logLevel?: LogLevelAliasType) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

/** @deprecated */
declare function LoggerBrowserClassicHandler(level?: LogLevel, opt?: LogHandlerOptions): LogHandler;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

declare function setupBrowserLog(): void;

export { LocalStorage, LocalStorageOptions, LoggerBrowserClassicHandler, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, activateConsoleDebug, gravatarURLByEmail, selectColor, setupBrowserLog, supportsColors, urlBase64ToUint8Array };
